Subject: help with MMFF94 in CHARMM

From: Robert Jorissen <[email-masked]>
Date: Tue, 14 Nov 2000 16:46:42 +1100

Hello

I wish to perform some calculations using the MMFF94 forcefield in
CHARMM.
(I am using the acedemic version 25b1). I calculated the energies of a
small
number of small molecules from the MMFF94 validation set. Although the
energy
components from the bonded parameters (bond stretch, angle bending etc)
seem to
agree with those listed in the Batchmin and Optimol log files provided
as part
of the validation set files, I seem to have slight discrepencies with
the
van der Waals energies in some (but not all) of the systems and with the
electrostatic energies in all of the small number of systems I have
looked at
so far.

The results for one molecule are shown below. (Easy to compare the
numbers if
Courier font is used to view them.) The results from each energy term
are from
my CHARMM calculation, the calculation using Optimol and the
calculations using
Batchmin in double precision and single precision respectively.

I would appreciate hearing from anyone who has used the MMFF94
forcefield in
CHARMM and whether they encountered this problem. I doubt that this can
be
explained by numerical imprecision in calculation since calculations "by
hand"
using a spreadsheet yield values for the electrostatic energy far closer
to
the Optimol and Batchmin values than the values I calculated using
CHARMM.
Also, the partial charges produced by CHARMM agreed with those in the
input
coordinate files.

Any assistance would be appreciated.

Rob 

BEWCUB - 18-ACETATO-ASPARENOMYCIN A P-NITROBENZYL ESTER

"?BOND" to "4.74997"
Optimol:    4.74997
BMin DP:    4.74997559238
BMin SP:    4.749975

"?ANGL" to "20.6828"
Optimol:    20.68285
BMin DP:    20.6828388838
BMin SP:    20.68284

"?DIHE" to "24.6512"
Optimol:    24.65119
BMin DP:    24.6511913190
BMin SP:    24.65120

"?OOPL" to "-4.39081"
Optimol:    -4.39082
BMin DP:    -4.39081620274
BMin SP:    -4.390817

"?STRB" to "0.136841"
Optimol:    0.13684
BMin DP:    0.136842257168
BMin SP:    0.1368436

"?ELEC" to "-41.184"
Optimol:    -41.40216
BMin DP:    -41.4021642936
BMin SP:    -41.40216

"?VDW" to "48.2924"
Optimol:   48.18183
BMin DP:   48.1818461796
BMin SP:   48.18185

"?ENER" to "52.9385"
Optimol:    52.60970
BMin DP:    52.6097137356
BMin SP:    52.60972

-- 
-----------------------------------------------------
Robert Jorissen

Ludwig Institute for Cancer Research
P.O. BOX 2008, Royal Melbourne Hospital
Parkville, Victoria 3050, Australia

phone: ++61-3-9341-3155
fax:   ++61-3-9341-3104

e-mail: [email-masked]
WWW:    http://modelling.ludwig.edu.au/~jorissen/

-----------------------------------------------------